Bug 6834 - $template->{param_map} is deprecated with the introduction of Template::Toolkit
Summary: $template->{param_map} is deprecated with the introduction of Template::Toolkit
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) major (vote)
Assignee: Chris Cormack
QA Contact: Bugs List
URL:
Keywords:
Depends on: 6738
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-09-02 03:27 UTC by Chris Cormack
Modified: 2012-10-25 23:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6834 : Removing last of the $template->{param_map} (2.53 KB, patch)
2011-09-02 03:32 UTC, Chris Cormack
Details | Diff | Splinter Review
this is a followup. since patch sent would leave 2 param_map (1.58 KB, patch)
2011-09-02 08:45 UTC, dev_patches
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2011-09-02 03:27:20 UTC
Removing any instances of this
Comment 1 Chris Cormack 2011-09-02 03:32:03 UTC
Created attachment 5270 [details] [review]
Bug 6834 : Removing last of the $template->{param_map}
Comment 2 dev_patches 2011-09-02 07:28:48 UTC
GBSD#4 téking that.
Comment 3 dev_patches 2011-09-02 08:38:03 UTC
grep -rli param_map **/*.pl
acqui/acqui-home.pl
acqui/basket.pl
Comment 4 dev_patches 2011-09-02 08:45:15 UTC
Created attachment 5276 [details] [review]
this is a followup. since patch sent would leave 2 param_map
Comment 5 Ian Walls 2011-09-02 11:40:35 UTC
Taken together, both patches encompass all cases of {param_map} I can find in Koha.  Signing off on the second, and marking both as Passed QA
Comment 6 Chris Cormack 2011-09-02 18:40:41 UTC
This bug was set to depend on 6738, which removes another instance of param_map, since its now been removed here, can someone please test and resolve 6738

Also, please do try to note the depends on status, and sign off bugs in that order if at all possible.

Pushed, please test
Comment 7 Chris Nighswonger 2011-10-26 18:02:28 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.